<?php

namespace Lc\SovBundle\Factory\Site;

use Lc\SovBundle\Container\Site\NewsContainer;
use Lc\SovBundle\Factory\AbstractFactory;
use Lc\SovBundle\Model\Site\NewsInterface;

class NewsFactory extends AbstractFactory implements NewsFactoryInterface
{
    public function create(): NewsInterface
    {
        $class = NewsContainer::getEntityFqcn();
        $news = new $class;
        $news->setStatus(1);

        return $news;
    }

}
